org.richfaces.context

## Class OnOffResponseWriter

- java.lang.Object
- - java.io.Writer
  - - javax.faces.context.ResponseWriter
    - - javax.faces.context.ResponseWriterWrapper
      - - org.richfaces.context.OnOffResponseWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>

      public class OnOffResponseWriter
      extends javax.faces.context.ResponseWriterWrapper

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnOffResponseWriter(javax.faces.context.ResponseWriter wrappedWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.context.ResponseWriter` | `getWrapped()`
    `boolean` | `isSwitchedOn()`
    `void` | `setSwitchedOn(boolean newState)`

    - ### Methods inherited from class javax.faces.context.ResponseWriterWrapper

      `cloneWithWriter, close, endCDATA, endDocument, endElement, flush, getCharacterEncoding, getContentType, startCDATA, startDocument, startElement, write, writeAttribute, writeComment, writeDoctype, writePreamble, writeText, writeText, writeText, writeURIAttribute`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnOffResponseWriter

          public OnOffResponseWriter(javax.faces.context.ResponseWriter wrappedWriter)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.ResponseWriter getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>`
      Overrides:
        `getWrapped` in class `javax.faces.context.ResponseWriterWrapper`

    - #### setSwitchedOn

          public void setSwitchedOn(boolean newState)

    - #### isSwitchedOn

          public boolean isSwitchedOn()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.